Subject: Re: linux-next: Tree for February 10 (zcache)

From: Nitin Gupta <[email-masked]>
Date: Fri, 11 Feb 2011 02:35:26 +0530

On 02/11/2011 12:30 AM, Randy Dunlap wrote:
> On Thu, 10 Feb 2011 18:05:25 +1100 Stephen Rothwell wrote:
>
>> Hi all,
>>
>> [The kernel.org mirroring is being slow ...]
>>
>> Changes since 20110209:
>
>
> ZCACHE=m
> ZRAM is not enabled (since BLOCK is not enabled)
>
> ERROR: "xv_malloc" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "tmem_put" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "tmem_new_pool" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "tmem_get" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "tmem_flush_object" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "tmem_destroy_pool" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "xv_free" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "xv_get_object_size" [drivers/staging/zcache/zcache.ko] undefined!
> ERROR: "tmem_flush_page" [drivers/staging/zcache/zcache.ko] undefined!
>
> Also, in zcache/Kconfig, there is:
> 	select XVMALLOC
> but that kconfig symbol does not exist.  What should that be?
>

Just posted fix for this:
https://lkml.org/lkml/2011/2/10/367

Thanks,
Nitin